#if !defined(AFX_LIBRARYSET_H__6257D515_E380_11D2_AD18_00A04B070143__INCLUDED_)
#define AFX_LIBRARYSET_H__6257D515_E380_11D2_AD18_00A04B070143__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// LibrarySet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLibrarySet DAO recordset

class CLibrarySet : public CDaoRecordset
{
public:
	void GetImageHeaders();
	CLibrarySet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CLibrarySet)

// Field/Param Data
	//{{AFX_FIELD(CLibrarySet, CDaoRecordset)
	long	m_ItemID;
	CString	m_Text;
	long	m_PageNumber;
	long	m_ParentItem;
	long	m_PageNumber2;
	long	m_ImageNumber;
	CString	m_Name;
	BOOL	m_NoteFlag;
	CString	m_Note;
	BYTE	m_Type;
	CLongBinary	m_SmallImage;
	CLongBinary	m_LargeImage;
	long	m_SmallSize;
	long	m_LargeSize;
	long	m_SmallWidth;
	long	m_SmallHeight;
	long	m_LargeWidth;
	long	m_LargeHeight;
	long	m_ID;
	CString	m_Word;
	long	m_Chapter;
	CString	m_Context;
	long	m_PageNumber3;
	CString	m_Text2;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLibrarySet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LIBRARYSET_H__6257D515_E380_11D2_AD18_00A04B070143__INCLUDED_)
